Skip to main content
GET
Get a signature request

Authorizations

Authorization
string
header
required

Cognito-issued JWT access token. Send it as Authorization: Bearer <token>.

Path Parameters

signatureRequestId
string
required

Response

Signature request details retrieved successfully.

id
string<uuid>
required

Unique identifier for the signature request.

createdOn
string<date-time>
required

Timestamp when the signature request was created.

file
object
required
completedOn
string<date-time>

Timestamp when the signature request was completed.

signedBy
string

The user ID that signed the document.

Minimum string length: 1
notarizedBy
string

The user ID that notarized the document.

Minimum string length: 1
completedFileUrl
string

A URL where the completed file can be downloaded from.

Minimum string length: 1
wetInkOn
string<date-time>

Timestamp when the request was marked for wet-ink signing. Absent if it was never marked, or was moved back to e-signature.

wetInkBy
string

The user ID that marked the request for wet-ink signing.

Minimum string length: 1
wetInkUploadedOn
string<date-time>

Timestamp when the signed wet-ink scan was uploaded. Only set if your workflow has you upload the signed scan to Slate.

document
object
deprecated

Deprecated — use file. Retained for backwards compatibility.